# DataExchange
TKXSBase
IFSelect

# IFSelect_Modifier Class Reference

This class gives a frame for Actions which can work globally
on a File once completely defined (i.e. afterwards)
Remark : if no Selection is set as criterium, the Modifier is
set to work and should consider all the content of the Model
produced.
.

`#include <IFSelect_Modifier.hxx>`

Inheritance diagram for IFSelect_Modifier:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Perform (IFSelect_ContextModif &ctx, const Handle(Interface_InterfaceModel)&target, const Handle(Interface_Protocol)&protocol, Interface_CopyTool &TC) const =0

This deferred method defines the action specific to each class
of Modifier. It is called by a ModelCopier, once the Model
generated and filled. ModelCopier has already checked the
criteria (Dispatch, Model Rank, Selection) before calling it.
<ctx> detains informations about original data and selection.
The result of copying, on which modifications are to be done,
is <target>.
<tc> allows to run additional copies as required
In case of Error, use methods CCheck from the ContextModif
to aknowledge an entity Check or a Global Check with messages
.

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | IFSelect_Modifier (const Standard_Boolean maychangegraph)
| Calls inherited Initialize, transmits to it the information <maychangegraph> .

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_Modifier::IFSelect_Modifier | ( | const Standard_Boolean | maychangegraph | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const IFSelect_Modifier::Handle | ( | Standard_Type |  | ) | const

Reimplemented from IFSelect_GeneralModifier.

Reimplemented in IFSelect_ModifEditForm, IFSelect_ModifReorder, IGESSelect_AddGroup, IGESSelect_AutoCorrect, IGESSelect_ChangeLevelList, IGESSelect_ChangeLevelNumber, IGESSelect_ComputeStatus, IGESSelect_ModelModifier, IGESSelect_RebuildDrawings, IGESSelect_RebuildGroups, IGESSelect_RemoveCurves, IGESSelect_SetGlobalParameter, IGESSelect_SetLabel, IGESSelect_SetVersion5, IGESSelect_UpdateCreationDate, IGESSelect_UpdateFileName, IGESSelect_UpdateLastChange, and StepSelect_ModelModifier.

virtual Standard_EXPORT void IFSelect_Modifier::Perform | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(Interface_InterfaceModel)& | target,
|  | const Handle(Interface_Protocol)& | protocol,
|  | Interface_CopyTool & | TC
| ) | const`[pure virtual]`

| Implemented in IFSelect_ModifEditForm, IFSelect_ModifReorder, IGESSelect_ModelModifier, and StepSelect_ModelModifier.

The documentation for this class was generated from the following file:

- IFSelect_Modifier.hxx